# $Revision: 1.10 $, $Date: 2002/06/27 09:55:38 $
Summary:	Jabber User Directory module
Summary(pl):	Modu rejestru uytkownikw dla systemu Jabber
Name:		jabber-jud
Version:	0.4
Release:	1
License:	distributable
Group:		Applications/Communications
Source0:	http://download.jabber.org/dists/1.4/final/jud-%{version}.tar.gz
Source1:	jud.xml
Patch0:		%{name}-Makefile.patch
URL:		http://www.jabber.org/
BuildRequires:	jabber-devel
%requires_eq  	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is User Directory module for Jabber.

%description -l pl
Modu ten umoliwia rejestrowanie i przeszukiwanie danych o
uytkownikach systemu Jabber.

%prep
%setup -qn jud-%{version}
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}/jabberd

install jud.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabberd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -r /var/lock/subsys/jabberd ]; then
	if [ -r /var/lock/subsys/jabber-jud ]; then
        	/etc/rc.d/init.d/jabberd restart jud >&2
	else
        	echo "Run \"/etc/rc.d/init.d/jabberd start jud\" to start JUD."
	fi
else
        echo "Run \"/etc/rc.d/init.d/jabberd start\" to start Jabber server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabber-jud ]; then
		/etc/rc.d/init.d/jabberd stop jud >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/jabberd/*
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jabberd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jabber-jud.spec,v $
Revision 1.10  2002/06/27 09:55:38  kloczek
- use new %doc and few cleanups.

Revision 1.9  2002/04/25 16:38:15  arturs
fixed a small typo

Revision 1.8  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/09 15:30:16  jajcus
- %%requires_eq jabber

Revision 1.5  2002/02/08 16:05:08  jajcus
- updates for new jabber.spec

Revision 1.4  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/27 07:30:55  jajcus
- Source URL fixed

Revision 1.2  2001/12/26 16:59:12  jajcus
- Updates for new jabber init script
- Requires,BuildRequires

Revision 1.1  2001/12/22 10:55:09  jajcus
- initial spec
